Bug 1344245 - Review Request: vex - Tool for executing commands in Python virtualenv without activate/deactivate it
Summary: Review Request: vex - Tool for executing commands in Python virtualenv withou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 09:08 UTC by Lumír Balhar
Modified: 2016-07-29 09:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-02 15:26:22 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Lumír Balhar 2016-06-09 09:08:27 UTC
Spec URL: https://dl.dropboxusercontent.com/u/18896889/RH/vex.spec
SRPM URL: https://dl.dropboxusercontent.com/u/18896889/RH/vex-0.0.18-1.fc24.src.rpm
Description: Tool for executing commands in Python virtualenv without activate/deactivate it.
Fedora Account System Username: lbalhar

This is my first package. I am a new member of python maintenance team in Red Hat and I need a sponsor. My peer tells me that my sponsor should be Miro Hroncok (member of the same team).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14433289

Comment 1 Miro Hrončok 2016-06-20 12:48:24 UTC
The SRPM download is timing out. I suggest to use Fedora people for uploads (if possible): https://fedoraproject.org/wiki/Infrastructure/fedorapeople.org

Comment 2 Lumír Balhar 2016-06-20 21:17:24 UTC
Dropbox links seem working now. I uploaded files once again to the different location.

Spec URL: http://files.frenzy.cz/vex.spec
SRPM URL: http://files.frenzy.cz/vex-0.0.18-1.fc24.src.rpm

Comment 3 Lumír Balhar 2016-06-20 21:23:35 UTC
And of course thank you for your suggestion and review.

P.S.: I am not sure that I have enough group memberships to be able to use fedorapeople.org for hosting files.

Comment 4 Miro Hrončok 2016-06-21 09:57:14 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Package NOT APPROVED (yet)

Issues
======

Must
----

[!]: Package consistently uses macros (instead of hard-coded directory
     names).
     
     (Using vex as filename/directory name at multiple locations, use %{name} instead)


Should
------

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

[!]: %check is present and all tests pass.

     Upstream has tests, but this package does not. This is a should, but I will not approve without it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vex-0.0.18-1.fc23.noarch.rpm
          vex-0.0.18-1.fc23.src.rpm
vex.noarch: W: spelling-error Summary(en_US) virtualenv -> virtual
vex.noarch: W: spelling-error %description -l en_US virtualenv's -> virtuousness's
vex.noarch: W: spelling-error %description -l en_US virtualenvwrapper's -> whippersnapper's
vex.noarch: W: spelling-error %description -l en_US workon -> work on, work-on, ironwork
vex.noarch: W: spelling-error %description -l en_US virtualenv -> virtual
vex.noarch: W: no-manual-page-for-binary vex
vex.src: W: spelling-error Summary(en_US) virtualenv -> virtual
vex.src: W: spelling-error %description -l en_US virtualenv's -> virtuousness's
vex.src: W: spelling-error %description -l en_US virtualenvwrapper's -> whippersnapper's
vex.src: W: spelling-error %description -l en_US workon -> work on, work-on, ironwork
vex.src: W: spelling-error %description -l en_US virtualenv -> virtual
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
vex.noarch: W: no-manual-page-for-binary vex
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(reasonable)


Requires
--------
vex (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-setuptools
    python3-virtualenv



Provides
--------
vex:
    vex



Source checksums
----------------
https://files.pythonhosted.org/packages/source/v/vex/vex-0.0.18.tar.gz :
  CHECKSUM(SHA256) this package     : f8215e982e32bf7d4f8ca39a4aced64060ba198389163b785bd51b6bb311c1d4
  CHECKSUM(SHA256) upstream package : f8215e982e32bf7d4f8ca39a4aced64060ba198389163b785bd51b6bb311c1d4

Comment 5 Lumír Balhar 2016-06-21 11:35:21 UTC
Thanks for the review.

Fixed:
- Hardcoded name replaced with %{name} macro in specfile
- Added separated source for license file

Problem:
- Github and PyPI have different content and releases. PyPI package doesn't contain tests and LICENSE file but it has newer release. I tried to sync this two sources in cooperation with the upstream developer but without success (really unpleasant reply).

New files:
SPEC: https://dl.dropboxusercontent.com/u/18896889/RH/vex.spec
SRPM: https://dl.dropboxusercontent.com/u/18896889/RH/vex-0.0.18-1.fc24.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14592224

Comment 6 Lumír Balhar 2016-06-22 08:21:12 UTC
Hello.

Fixed:
- Changed source to GitHub (bump commit related to PyPI release)
- Added tests (%check section)

SPEC: https://dl.dropboxusercontent.com/u/18896889/RH/vex.spec
SRPM: https://dl.dropboxusercontent.com/u/18896889/RH/vex-0.0.18-1.fc24.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14603573

Comment 7 Miro Hrončok 2016-06-22 12:03:07 UTC
Package APPROVED. Sponsoring you as a packager, welcome.

Comment 8 Gwyn Ciesla 2016-06-23 13:08:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/vex

Comment 9 Fedora Update System 2016-06-24 11:07:46 UTC
vex-0.0.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62ac8b3576

Comment 10 Fedora Update System 2016-06-24 11:09:44 UTC
vex-0.0.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6ce152191

Comment 11 Fedora Update System 2016-06-25 00:27:30 UTC
vex-0.0.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62ac8b3576

Comment 12 Fedora Update System 2016-06-25 00:31:14 UTC
vex-0.0.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6ce152191

Comment 13 Fedora Update System 2016-07-02 15:26:20 UTC
vex-0.0.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-07-03 10:56:25 UTC
vex-0.0.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.